<?php
/*
 * tswclear functions
 * @since tswclear 1.0
 * © 2014 Larry Judd Oliver, Tradesouthwest.com
 */
 
    global $content_width;
        // Global content width.
	if ( !isset($content_width) )
		$content_width = 740;

    function tswclear_setup() {
        add_theme_support('post-thumbnails');
        add_theme_support('automatic-feed-links');
        load_theme_textdomain('tswclear', get_template_directory() . '/languages');

        // custom editor style support
        add_editor_style( 'editor-style.css' );

        // This theme uses wp_nav_menu() in two locations.
        register_nav_menus(array(
            'primary' => __('Primary Navigation', 'tswclear'),
            'secondary' => __('Secondary Navigation', 'tswclear')
        )); 
    }
    add_action('after_setup_theme', 'tswclear_setup');


    function tswclear_add_theme_scripts() {    
        // Loads default main stylesheet.
        wp_enqueue_style( 'style', get_stylesheet_uri() ); 
         /*
          * Adds JavaScript to pages with the comment form to support
          * sites with threaded comments (when in use).
          */
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
	wp_enqueue_script( 'comment-reply' );  
    }
    add_action( 'wp_enqueue_scripts', 'tswclear_add_theme_scripts' );

/*
 * reformat the more link for excerpts 
 */
function tswclear_excerpt_more($more) {
       global $post;
	return '<a class="moretag" href="'. get_permalink($post->ID) . '"> [ Читать далее... ]</a>';
}
add_filter('excerpt_more', 'tswclear_excerpt_more');

    // add ie conditional html5 shim to header
    function tswclear_add_ie_html5_shim () {
        echo '<!--[if lt IE 9]>';
        echo '<script src="js/html5.js"></script>';
        echo '<![endif]-->';
    }
    add_action('wp_head', 'tswclear_add_ie_html5_shim');

    /*
     * customer header image banner support 
     */
    add_theme_support( 'custom-header' );
        $args = array(
	    'width'              => 1490,
	    'height'             => 528,
	    'default-image'      => get_template_directory_uri() . '/images/header5.png',
            'flex-width'         => true,
            'flex-height'        => true,
            'random-default'     => false,
            'default-text-color' => '',
	    'header-text'        => false,
	    'uploads'            => true,
    );
    add_theme_support( 'custom-header', $args );
    
    /**
     * customer background color support 
     */
    add_theme_support( 'custom-background' );
    $args = array(
    'default-color'          => 'fcffff',
    'default-image'          => '',	
    );
    add_theme_support( 'custom-background', $args );
   
    function tswclear_widgets_init() {
        register_sidebar(array(
            'name' => __('First Footer Widget Area', 'tswclear'),
            'id' => 'first-footer-widget-area',
            'description' => __('The first footer widget area', 'tswclear'),
            'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
            'after_widget' => '</li>',
            'before_title' => '<h3 class="widget-title">',
            'after_title' => '</h3>',
        ));
        register_sidebar(array(
            'name' => __('Second Footer Widget Area', 'tswclear'),
            'id' => 'second-footer-widget-area',
            'description' => __('The second footer widget area', 'tswclear'),
            'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
            'after_widget' => '</li>',
            'before_title' => '<h3 class="widget-title">',
            'after_title' => '</h3>',
        ));
        register_sidebar(array(
            'name' => __('Third Footer Widget Area', 'tswclear'),
            'id' => 'third-footer-widget-area',
            'description' => __('The third footer widget area', 'tswclear'),
            'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
            'after_widget' => '</li>',
            'before_title' => '<h3 class="widget-title">',
            'after_title' => '</h3>',
        ));
        register_sidebar(array(
            'name' => __('Fourth Footer Widget Area', 'tswclear'),
            'id' => 'fourth-footer-widget-area',
            'description' => __('The fourth footer widget area', 'tswclear'),
            'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
            'after_widget' => '</li>',
            'before_title' => '<h3 class="widget-title">',
            'after_title' => '</h3>',
        ));
   }

    add_action('widgets_init', 'tswclear_widgets_init');

?>